// ObjectData.h: interface for the CObjectData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OBJECTDATA_H__6B3C972B_A6A3_11D4_83CE_004033E136DA__INCLUDED_)
#define AFX_OBJECTDATA_H__6B3C972B_A6A3_11D4_83CE_004033E136DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

typedef struct {
	float x;
	float y;
} point2d, *point2d_ptr;

typedef struct {
	int	start;
	int	end;
} line2d, *line2d_ptr;

#define FILETYPE 1409

#define XONLY 0
#define YONLY 1
#define BOTH 2

class CObjectData : public CObject  
{
public:
	void LiberaMemoria();
	BOOL isCreated;
	void Mirror(int type);
	void Scale(float sx, float sy);
	void Translate(float dx, float dy);
	void Rotate(float degrees, float ox, float oy);
	void DrawObject(CDC* pDC, CRect retang);
	int GetNumLines();
	void SetNumLines(int nLines);
	int GetNumPoints();
	void SetNumPoints(int nPoints);
	void GetObjectName(CString* name);
	void SetObjectName(CString name);
	void Serializa(CArchive& ar);
	CObjectData();
	virtual ~CObjectData();

private:
	CString objectName;
	line2d_ptr lines;
	point2d_ptr points;
	int numLines;
	int numPoints;
	int fileType;
	DECLARE_SERIAL(CObjectData);
};

#endif // !defined(AFX_OBJECTDATA_H__6B3C972B_A6A3_11D4_83CE_004033E136DA__INCLUDED_)
